Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.intro.config
Interface IIntroURL

public interface IIntroURL

An Intro url. An intro URL is a valid http url, with org.eclipse.ui.intro as a host. It is inteded to only be used in conjunction with the pre-supplied CustomizableIntroPart. See the `org.eclipse.ui.intro.config` extension point for more details.

An intro url instance is created by parsing the url and retrieving the embedded "command" and parametrs. For example, the following urls are valid intro urls: http://org.eclipse.ui.intro/close http://org.eclipse.ui.intro/runAction?pluginId=x.y.z&class=x.y.z.someClass

When parsed, the first url has "close" as a command, and no parameters. While the second "runAction" as a command and "pluginId" and "class" as parameters.

There is a number of supported Intro commands. Check docs for more details. Calling execute runs the command if it happens to be one of the supported commands.

This interface is not intended to be implemented by clients.

Since:
  3.0
See Also:
  `IntroURLFactory`, `IIntroAction`

Method Summary
`boolean` | `execute()` Executes whatever valid Intro command is embedded in this Intro URL.
`String` | `getAction()`
`String` | `getParameter(String parameterId)` Return a parameter defined in the Intro URL.

Method Detail

### execute

    public boolean execute()

  Executes whatever valid Intro command is embedded in this Intro URL. Returns true if action succeeded, and false otherwise.

### getAction

    public String getAction()

  Returns:
    Returns the command imbedded in this URL.

### getParameter

    public String getParameter(String parameterId)

  Return a parameter defined in the Intro URL. Returns null if the parameter is not defined.

  Parameters:
    `parameterId` - the id of the parameter being requested
  Returns:
    the value of the parameter, or `null` if the parameter is not defined

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.